Subject: [v6ops] Sunset4 gap analysis: rfc6555bis, ipv6rtr-reqs, rfc7084-bis

From: Lee Howard <[email-masked]>
Date: Wed, 16 Aug 2017 12:27:34 -0400

Reading through draft-ietf-sunset4-gapanalysis-09 it seemed to me that
several problems might be resolvable in documents we currently have open:

Can problems 1-5 (indicating that IPv4 is unavailable, disabling IPv4 in the
LAN) be addressed with recommendations in any, some, or all of:
draft-ietf-v6ops-ipv6rtr-reqs-00 "Requirements for IPv6 Routers"
draft-ietf-v6ops-rfc7084-bis-04  “Basic Requirements for IPv6 Customer Edge
Routers"
Or other drafts under discussion in v6ops now?
Or do we need new IPv6 signalling (RA?) that IPv4 is unavailable? That would
have to go to 6man. Or did we do this, and I’ve forgotten in my old age?

Are problems 6 & 7 (Happy Eyeballs and getaddrinfo()) addressed with
draft-ietf-v6ops-rfc6555bis-03,  "Happy Eyeballs Version 2: Better
Connectivity Using Concurrency”?
Can problem 10 be addressed in rfc6555-bis?

Thanks,

Lee